#include <stdio.h>
#ifdef _WIN32
	#include<Windows.h>
#endif

#define MAX 10000
int arr[MAX];
void main()
{
	int i, j, n;
	while(1)
	{
		printf("정수 n 값을 입력하세요. \n n= ");
		scanf("%d",&n);
		for(i=0;i<n;i++)
			arr[i]=i+1;
		for(i=0;i<n;i++)
		{
			if(arr[i]==1)
				arr[i]=0;
			else
				if(arr[i]!=0)
				{
					for(j=2;(i+1)*j<=n;j++)
						arr[(i+1)*j-1]=0;
				}
		}
		for(i=0;i<n;i++)
			if(arr[i]!=0)
				printf("%d ",arr[i]);
		printf("\n");
	}

	system("PAUSE");
}
